# Uses of Interface
org.eclipse.core.databinding.property.ISimplePropertyListener

Packages that use ISimplePropertyListener
Package
Description
org.eclipse.core.databinding.property
Interfaces and classes for representing and observing properties of objects.
org.eclipse.core.databinding.property.list
org.eclipse.core.databinding.property.map
org.eclipse.core.databinding.property.set
org.eclipse.core.databinding.property.value
org.eclipse.jface.databinding.swt
Provides classes that can be used to observe changes in SWT widgets.

## Uses of ISimplePropertyListener in org.eclipse.core.databinding.property

Constructors in org.eclipse.core.databinding.property with parameters of type ISimplePropertyListener
Modifier
Constructor
Description
``
`NativePropertyListener(IProperty property, ISimplePropertyListener<S,D> listener)`
Constructs a NativePropertyListener with the specified arguments

## Uses of ISimplePropertyListener in org.eclipse.core.databinding.property.list

Methods in org.eclipse.core.databinding.property.list with parameters of type ISimplePropertyListener
Modifier and Type
Method
Description
`abstract INativePropertyListener<S>`
SimpleListProperty.`adaptListener(ISimplePropertyListener<S, ListDiff<E>> listener)`
Returns a listener capable of adding or removing itself as a listener on a source object using the the source's "native" listener API.

## Uses of ISimplePropertyListener in org.eclipse.core.databinding.property.map

Methods in org.eclipse.core.databinding.property.map with parameters of type ISimplePropertyListener
Modifier and Type
Method
Description
`abstract INativePropertyListener<S>`
SimpleMapProperty.`adaptListener(ISimplePropertyListener<S, MapDiff<K,V>> listener)`
Returns a listener capable of adding or removing itself as a listener on a source object using the the source's "native" listener API.

## Uses of ISimplePropertyListener in org.eclipse.core.databinding.property.set

Methods in org.eclipse.core.databinding.property.set with parameters of type ISimplePropertyListener
Modifier and Type
Method
Description
`abstract INativePropertyListener<S>`
SimpleSetProperty.`adaptListener(ISimplePropertyListener<S, SetDiff<E>> listener)`
Returns a listener capable of adding or removing itself as a listener on a source object using the the source's "native" listener API.

## Uses of ISimplePropertyListener in org.eclipse.core.databinding.property.value

Methods in org.eclipse.core.databinding.property.value with parameters of type ISimplePropertyListener
Modifier and Type
Method
Description
`abstract INativePropertyListener<S>`
SimpleValueProperty.`adaptListener(ISimplePropertyListener<S, ValueDiff<? extends T>> listener)`
Returns a listener capable of adding or removing itself as a listener on a source object using the the source's "native" listener API.

## Uses of ISimplePropertyListener in org.eclipse.jface.databinding.swt

Methods in org.eclipse.jface.databinding.swt with parameters of type ISimplePropertyListener
Modifier and Type
Method
Description
`INativePropertyListener<S>`
WidgetValueProperty.`adaptListener(ISimplePropertyListener<S, ValueDiff<? extends T>> listener)`